aboutsummaryrefslogtreecommitdiffstats
path: root/fetch_umbrella_build_and_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fetch_umbrella_build_and_test.sh')
-rwxr-xr-xfetch_umbrella_build_and_test.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/fetch_umbrella_build_and_test.sh b/fetch_umbrella_build_and_test.sh
new file mode 100755
index 00000000..5164bcf6
--- /dev/null
+++ b/fetch_umbrella_build_and_test.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+
+set -ev
+
+if [[ "$OSTYPE" != "darwin"* ]]
+then
+ cd docs && sphinx-build -nW -b html -d _build/doctrees . _build/html && cd ..
+fi
+
+SUBREPO=solidity
+
+cd ..
+git clone --depth 3 -b develop https://github.com/ethereum/tests.git
+export ETHEREUM_TEST_PATH=$(pwd)/tests/
+git clone --recursive -b develop https://github.com/ethereum/webthree-umbrella.git
+cd webthree-umbrella
+rm -rf $SUBREPO
+mv ../$SUBREPO .
+mkdir build
+cd build
+OPTIONS=""
+if [[ "$OSTYPE" != "darwin"* ]]
+then
+ OPTIONS="-DCMAKE_C_COMPILER=/usr/lib/ccache/$CC -DCMAKE_CXX_COMPILER=/usr/lib/ccache/$CXX"
+fi
+cmake .. -DGUI=0 -DCMAKE_BUILD_TYPE=$TRAVIS_BUILD_TYPE $OPTIONS
+make lllc solc soljson soltest
+
+
+./solidity/test/soltest